Bug 1131473 - backport: implement -s option for ip a
Summary: backport: implement -s option for ip a
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-19 11:14 UTC by Jiri Benc
Modified: 2015-11-19 14:41 UTC (History)
4 users (show)

Fixed In Version: iproute-3.10.0-38.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 14:41:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2117 normal SHIPPED_LIVE iproute bug fix and enhancement update 2015-11-19 11:35:06 UTC

Description Jiri Benc 2014-08-19 11:14:13 UTC
Currently, "ip -s a" ignores the -s option. It would be useful to output interface statistics the same way as "ip -s l" does. This would create an elegant one command replacement for "ifconfig -a", hopefully easing migration from ifconfig to ip for people.

Comment 2 Jiri Pirko 2014-08-19 12:52:47 UTC
Also, what would be great is to implement "-d" for "ip mon"

Comment 3 Jiri Benc 2014-10-21 11:37:14 UTC
Patch accepted upstream: 5d5cf1b43706721c1db68ba5d54098a81390bc11

Comment 4 Jiri Pirko 2014-10-21 11:58:44 UTC
Please ignore comment #2 -> that is addressed in a separate bz - bug 1155116. Thanks.

Comment 9 errata-xmlrpc 2015-11-19 14:41:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2117.html


Note You need to log in before you can comment on or make changes to this bug.